package acs.jaxrssamples.cdi;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.inject.Produces;
import javax.enterprise.inject.spi.InjectionPoint;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.jboss.logging.Logger;

@ApplicationScoped
public class Resources {
	
	@PersistenceContext
	private EntityManager entityManager;
	
	/** * Entity Manager. */
	@Produces
	public EntityManager getEntityManager() {
		System.out.println("Getting entity manager!");
		return entityManager;
	}

	@Produces
	public Logger createLogger(InjectionPoint injectionPoint) {
		return Logger.getLogger(injectionPoint.getMember().getDeclaringClass().getName());
	}
}
